﻿@model EpamMVC.WEB.Models.Manage.IndexViewModel

<div class="card mb-3">

    <div class="card-header">
        Личный кабинет
    </div>
    <div class="card-body">
        <p class="text-success">@ViewBag.StatusMessage</p>
        <div>
            Id: @Model.User.Id
        </div>
        <div>
            Email: @Model.User.Email
        </div>

        @if (Model.HasPassword)
        {
            @Html.ActionLink("Поменять пароль", "ChangePassword")
        }
        else
        {
            @Html.ActionLink("Выбрать пароль", "SetPassword")
        }
    </div>
</div>

<div class="card js_manage_index">
    <div class="card-header">
        Ваши карты
    </div>
    <div class="card-body">

        <div class="text-right mb-3">
            <div class="btn-group">

                <a href="@Url.Action("AjaxCreateAccount")" class="btn btn-info js_create_account">
                    Добавить новую карту
                </a>

                <div class="btn-group" role="group">
                    <button class="btn btn-info dropdown-toggle" type="button" data-toggle="dropdown">
                        @Model.CurrentSortingLabel
                    </button>
                    <div class="dropdown-menu">
                        @foreach (var item in Model.SorterLinks)
                        {
                            <a class="dropdown-item" href="@item.Value">@item.Key</a>
                        }
                    </div>
                </div>

            </div>
        </div>

        <table class="table table-striped table-hover table-bordered">
            <thead>
            <tr>
                <th>
                    Номер карты
                </th>
                <th>
                    Статус
                </th>
                <th>
                    Баланс
                </th>
                <th class="text-right">
                    Действия
                </th>
            </tr>
            </thead>

            <tbody>
            @foreach (var account in Model.ClientAccounts)
            {
                <tr>
                    <td>
                        @(account.Id)
                    </td>
                    <td>

                        @if (account.Locked && account.UnlockRequest)
                        {
                            <span class="badge bg-warning">Активация</span>
                        }
                        else if (account.Locked)
                        {
                            <span class="badge bg-danger">Заблокирован</span>
                        }
                        else
                        {
                            <span class="badge bg-success">Активен</span>
                        }
                    </td>
                    <td>
                        @account.Balance
                    </td>
                    <td class="text-right">
                        @if (account.Locked == false && account.Balance > 0)
                        {
                            <a class="btn btn-success btn-sm js_create_payment"
                               href="@Url.Action("AjaxCreatePayment", new {id = account.Id})"
                               data-id="@account.Id">
                                Добавить платеж
                            </a>
                        }

                        <a class="btn btn-info btn-sm"
                           href="@Url.Action("AccountDetails", new {id = account.Id})">
                            Счета
                        </a>

                        @if (account.Locked)
                        {
                            if (!account.UnlockRequest)
                            {
                                <a class="btn btn-info btn-sm js_unlock_account"
                                   href="@Url.Action("AjaxUnlockAccount", new {id = account.Id})"
                                   data-id="@account.Id">
                                    Разблокировать
                                </a>
                            }
                        }
                        else
                        {
                            <a class="btn btn-danger btn-sm js_lock_account"
                               href="@Url.Action("AjaxLockAccount", new {id = account.Id})"
                               data-id="@account.Id">
                                Заблокировать
                            </a>
                        }


                        @if (!account.Locked)
                        {
                            <a class="btn btn-success btn-sm js_add_funds"
                               href="@Url.Action("AjaxAddFunds", new {id = account.Id})"
                               data-id="@account.Id">
                                Пополнить
                            </a>
                        }

                    </td>
                </tr>
            }

            </tbody>
        </table>
    </div>
</div>
